<!DOCTYPE html>
<html class="x-admin-sm">
<head>
    <meta charset="UTF-8">
    <title>运营商管理</title>
    <meta name="renderer" content="webkit">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport"
          content="width=device-width,user-scalable=yes, minimum-scale=0.4, initial-scale=0.8,target-densitydpi=low-dpi"/>
    <link rel="stylesheet" th:href="@{/css/font.css}">
    <link rel="stylesheet" th:href="@{/css/xadmin.css}">
    <script th:src="@{/lib/layui/layui.js}" charset="utf-8"></script>
    <script type="text/javascript" th:src="@{/js/xadmin.js}"></script>
    <script type="text/javascript" th:src="@{/js/jquery.min.js}"></script>
    <!--[if lt IE 9]>
    <script src="https://cdn.staticfile.org/html5shiv/r29/html5.min.js"></script>
    <script src="https://cdn.staticfile.org/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>
<body>
<div class="x-nav">
          <span class="layui-breadcrumb">
            <a href="">首页</a>
            <a href="">演示</a>
            <a>
              <cite>导航元素</cite></a>
          </span>
    <a class="layui-btn layui-btn-small" style="line-height:1.6em;margin-top:3px;float:right"
       onclick="location.reload()" title="刷新">
        <i class="layui-icon layui-icon-refresh" style="line-height:30px"></i></a>
</div>
<div class="layui-fluid">
    <div class="layui-row layui-col-space15">
        <div class="layui-col-md12">
            <div class="layui-card">
                <div class="layui-card-header">
                    <button class="layui-btn layui-btn-danger" onclick="delAll()"><i class="layui-icon"></i>批量删除
                    </button>
                    <button class="layui-btn" onclick="xadmin.open('添加客户','/client/add',600,550)"><i
                            class="layui-icon"></i>添加
                    </button>
                </div>
                <div class="layui-card-body layui-table-body layui-table-main">
                    <table class="layui-table layui-form" id="table" lay-filter="table">
                        <thead>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
<script>
    layui.use(['laydate', 'form'], function () {
        var laydate = layui.laydate;
        var form = layui.form;

        // 监听全选
        form.on('checkbox(checkall)', function (data) {

            if (data.elem.checked) {
                $('tbody input').prop('checked', true);
            } else {
                $('tbody input').prop('checked', false);
            }
            form.render('checkbox');
        });

        //执行一个laydate实例
        laydate.render({
            elem: '#start' //指定元素
        });

        //执行一个laydate实例
        laydate.render({
            elem: '#end' //指定元素
        });


    });

    /*用户-停用*/
    function member_stop(obj, id) {
        layer.confirm('确认要停用吗？', function (index) {

            if ($(obj).attr('title') == '启用') {

                //发异步把用户状态进行更改
                $(obj).attr('title', '停用')
                $(obj).find('i').html('&#xe62f;');

                $(obj).parents("tr").find(".td-status").find('span').addClass('layui-btn-disabled').html('已停用');
                layer.msg('已停用!', {icon: 5, time: 1000});

            } else {
                $(obj).attr('title', '启用')
                $(obj).find('i').html('&#xe601;');

                $(obj).parents("tr").find(".td-status").find('span').removeClass('layui-btn-disabled').html('已启用');
                layer.msg('已启用!', {icon: 5, time: 1000});
            }

        });
    }

    /*用户-删除*/
    function member_del(obj, id) {
        layer.confirm('确认要删除吗？', function (index) {
            //发异步删除数据
            $(obj).parents("tr").remove();
            layer.msg('已删除!', {icon: 1, time: 1000});
        });
    }
    //用于表单重载
    var tableReload;

    function delAll(argument) {
        var ids = [];

        // 获取选中的id 
        $('tbody input').each(function (index, el) {
            if ($(this).prop('checked')) {
                // console.log($(this).val())
                ids.push($(this).val())
            }
        });

        layer.confirm('确认要删除吗？' + ids.toString(), function (index) {
            console.log(JSON.stringify(ids))
            //捉到所有被选中的，发异步进行删除
            layer.msg('删除成功', {icon: 1});
            $.ajax({
                url: "[[${#request.contextPath}]]" + "/client/batchDelete",
                method: "post",
                data: JSON.stringify(ids),
                contentType: "application/json;charset=UTF-8" //定义数据格式为JSON
            });
            $(".layui-form-checked").not('.header').parents('tr').remove();

            //表单重载
            tableReload.reload('tableId',{
                where: {
                },
                page: {
                    curr: 1
                }
            });
        });
    }



    layui.use('table', function () {
        var table = layui.table;

        //第一个实例
        table.render({
            elem: '#table',
            url: '/client/page', //数据接口
            page: true, //开启分页
            id: 'tableId',
            cols: [
                [ //表头
                    {type: 'checkbox', title: 'ID'},
                    {field: 'id', title: 'id', width: 250, sort: true},
                    {field: 'username', title: '账号', width: 160},
                    {field: 'name', title: '公司名称', width: 230, sort: true},
                    {field: 'district', title: '地区', width: 200},
                    {field: 'detailedAddress', title: '具体地址', width: 250},
                    {field: 'contact', title: '联系人', width: 160, sort: true},
                    {field: 'phone', title: '联系电话', width: 150, sort: true},
                    {field: 'tool', toolbar: '#barDemo', title: '操作', width: 200}
                ]
            ],
            done: function () {
                $("tbody td[data-field='id'] div").each(function () {
                    var id = $(this).text();
                    // console.log(id)
                    $(this).parent().prev().children().find("input").attr("value", id);
                })
            }
        });


        //工具条事件
        table.on('tool(table)', function (obj) { //注：tool 是工具条事件名，test 是 table 原始容器的属性 lay-filter="对应的值"
            var data = obj.data; //获得当前行数据
            var layEvent = obj.event; //获得 lay-event 对应的值（也可以是表头的 event 参数对应的值）
            var tr = obj.tr; //获得当前行 tr 的 DOM 对象（如果有的话）

            if (layEvent === 'del') { //删除
                layer.confirm('真的删除行么', function (index) {
                    obj.del(); //删除对应行（tr）的DOM结构，并更新缓存
                    layer.close(index);
                    //向服务端发送删除指令
                    console.log(data)
                    $.ajax({
                        url: "[[${#request.contextPath}]]" + '/client/delete',
                        data: JSON.stringify(data),
                        method: "post",
                        contentType: "application/json;charset=UTF-8" //定义数据格式为JSON
                    });
                    //表单重载
                    tableReload.reload('tableId',{
                        where: {
                        },
                        page: {
                            curr: 1
                        }
                    });
                });
            } else if (layEvent === 'edit') { //编辑
                //do something
                // console.log(data)
                xadmin.open('编辑客户','/client/edit?id=' + data.id,600,550);
                //同步更新缓存对应的值
                obj.update({
                    username: '123'
                    , title: 'xxx'
                });
            } else if (layEvent === 'LAYTABLE_TIPS') {
                layer.alert('Hi，头部工具栏扩展的右侧图标。');
            } else if (layEvent === 'gateway') {
                xadmin.add_tab_f('网关列表','/gateway/index?projectId=' + data.id);
            }
        });

        tableReload = table;
    });




</script>
<!-- 工具条 -->
<script type="text/html" id="barDemo">
    <a class="layui-btn layui-btn-xs" lay-event="edit">编辑</a>
    <a class="layui-btn layui-btn-danger layui-btn-xs" lay-event="del">删除</a>
    <a class="layui-btn layui-btn-xs" lay-event="gateway">网关</a>
</script>
</html>